=== debian/changelog ===
docker.io (27.5.1+dfsg3-4) unstable; urgency=medium

  * debian/control: fixup notary sources
  * add appropriate Breaks relationships
  * Drop too verbose NEWS file, Closes: #1118974

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 25 Oct 2025 20:58:03 -0400

docker.io (27.5.1+dfsg3-3) unstable; urgency=medium

  * Fix architecture checks for mips64el when running unit tests
  * Add a warning about iptables rules, and the bridge interface,
    Closes: #1034622, #929315

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 25 Oct 2025 09:49:19 -0400

docker.io (27.5.1+dfsg3-2) unstable; urgency=medium

  * Upload to unstable, Closes: #1118147
  * Drop Suggests on cgroupfs-mount, Closes: #1099041

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 25 Oct 2025 06:40:25 -0400

docker.io (27.5.1+dfsg3-1) experimental; urgency=medium

  * Repack tarball:
    - Vendor 'notary'. This only includes the necessary bits and pieces
      needed to build docker
    - use package k8s sources for golang-k8s-sigs-yaml-dev
  * Add distro patches to fix tests and have failures break the build
    - Skip flaky test TestPrunePromptTermination
  * debian/copyright:
    - drop phayes/permbits, no longer used
    - drop client/mflag pattern
    - remove unused copyright paragraph bsd-3-clause-google
    - replace old FSF address with its website
  * Bump Standards version, no changes needed
  * Lintian cleanups:
    - move groff lintian override to the cli package
    - add lintian overrides for golang-github-docker-docker-dev
    - docker.io.lintian-overrides: drop unneeded overrides
    - docker.init: uses bashisms
    - delete unneded patches
    - Add override for docker-doc
    - Replace "Built-Using" with "Static-Built-Using"
    - Rearrange some more lintian overrides
  * Unbreak upgrades from docker.io 26.1

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 24 Oct 2025 16:05:23 -0400

docker.io (26.1.5+dfsg2-1) unstable; urgency=medium

  * Vendor 'notary'. This only includes the necessary bits and pieces
    needed to build docker

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 21 Oct 2025 05:40:20 -0400
