## docker.io 27.5.1+dfsg4

=== debian/changelog ===
docker.io (27.5.1+dfsg4-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: remove since all tests are related to the docker application
      provided by docker.io binary package.
    - d/golang-github-docker-docker-dev.docs: install NOTICE files to comply
      with Apache license.
    - d/control: add non default pkg.docker.with-bin Build-Profiles
      to disable building docker.io, docker-cli, and docker.io-doc binary package
      by default.
      And change Architecture to amd64 to avoid Launchpad reporting build
      failures on other architecture.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 09 Nov 2025 07:56:41 +0100

docker.io (27.5.1+dfsg4-1) unstable; urgency=medium

  * Build against golang-github-hashicorp-go-immutable-radix-v2,
    drop patches that compile buildkit against v1
  * Depend on tini-static

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 06 Nov 2025 05:43:49 -0500

docker.io (27.5.1+dfsg3-6) unstable; urgency=medium

  * Add forgotten bug closure to previous upload
  * Fix breaks relationships to assist testing migration

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 29 Oct 2025 21:09:57 -0400

docker.io (27.5.1+dfsg3-5) unstable; urgency=medium

  * Drop suggests on aufs-tools, Closes: #1118988
  * Fixup revert to radix v1 patch, Closes: #1119134
  * debian/rules: no tests fail on mips, simplify test target
  * Add Breaks on crowdsec
  * Fixup revert to radix v1 patch, Closes: #1119134

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 28 Oct 2025 20:55:03 -0400
