=== debian/control ===
--- 
+++ 
@@ -77,7 +77,7 @@
     ,golang-github-grpc-ecosystem-go-grpc-prometheus-dev
     ,golang-github-grpc-ecosystem-grpc-opentracing-dev
     ,golang-github-hashicorp-go-memdb-dev
-    ,golang-github-hashicorp-go-immutable-radix-dev
+    ,golang-github-hashicorp-go-immutable-radix-v2-dev
     ,golang-github-hashicorp-memberlist-dev (>= 0.1.0~)
     ,golang-github-hashicorp-serf-dev
     ,golang-github-imdario-mergo-dev (>= 0.3.3~)
@@ -159,7 +159,8 @@
     ,github.com/moby/ipvs
 
 Package: docker.io
-Architecture: linux-any
+Build-Profiles: <pkg.docker.with-bin>
+Architecture: amd64
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends} ,${shlibs:Depends}
     ,adduser
@@ -167,7 +168,7 @@
     ,iptables
     ,sysvinit-utils (>= 3.05-4~)
     ,runc (>= 1.0.0~rc8~)
-    ,tini
+    ,tini-static
 Recommends: apparmor
     ,ca-certificates
     ,dbus-user-session
@@ -180,7 +181,6 @@
     docker-ce
     ,docker-ce-rootless-extras
 Suggests: docker-doc
-    ,aufs-tools
     ,btrfs-progs
     ,debootstrap
     ,e2fsprogs
@@ -211,7 +211,8 @@
  dockerd(8).
 
 Package: docker-cli
-Architecture: linux-any
+Build-Profiles: <pkg.docker.with-bin>
+Architecture: amd64
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends} ,${shlibs:Depends}
 Conflicts:
@@ -286,11 +287,9 @@
     ,golang-github-vishvananda-netlink-dev (>= 1.0.0~)
     ,golang-github-vishvananda-netns-dev
 Breaks:
+    ,crowdsec (<< 1.4.6-10.1)
     ,docker-compose (<< 2.32)
     ,golang-github-docker-buildx-dev (<< 0.19)
-    ,golang-github-containers-buildah (<< 1.41.5+ds1-2)
-    ,golang-github-openshift-imagebuilder (<< 1.2.15+ds1-2)
+    ,golang-github-containers-buildah-dev (<< 1.41.5+ds1-2)
+    ,golang-github-openshift-imagebuilder-dev (<< 1.2.15+ds1-3)
 Conflicts:
-    golang-github-docker-notary-dev
-Replaces:
-    golang-github-docker-notary-dev
