## docker.io 28.5.2+dfsg1

=== debian/changelog ===
docker.io (28.5.2+dfsg1-1) experimental; urgency=medium

  * New upstream release [28.5.2], update patches
  * fix tests on 32bit
  * debian/copyright:
    - Clarify licenses of debian/* packaging
  * debian/rules:
    - disable gcp support to fix build
  * use salsa-ci with custom orig source script
  * debian/control:
    - avoid grpc in experimental for now, breaks the build
    - bump Standards-Version, no changes needed
  * gitlab-ci.yml:
    - use salsa-pipeline
  * debian/copyright: cleanup start
    - unvendor various packages

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 18 Jan 2026 08:16:56 -0500
