=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: docker.io
 Section: admin
 Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Arnaud Rebillout <arnaudr@kali.org>
           ,Dmitry Smirnov <onlyjob@debian.org>
@@ -9,7 +9,7 @@
           ,Tianon Gravi <tianon@debian.org>
           ,Paul Tagliamonte <paultag@debian.org>
           ,Reinhard Tartler <siretart@tauware.de>
-Build-Conflicts: golang-github-docker-docker-dev
+Build-Conflicts: golang-github-docker-docker-dev, golang-google-grpc-dev (>> 1.75)
 Build-Depends: debhelper-compat (= 13) ,dh-apparmor ,dh-golang (>= 1.14~)
     ,bash-completion
     ,ca-certificates
@@ -19,20 +19,22 @@
     ,golang-etcd-server-dev
     ,golang-github-adamkorcz-go-fuzz-headers-1-dev
     ,golang-github-agext-levenshtein-dev
+    ,golang-github-anchore-go-struct-converter-dev
     ,golang-github-armon-circbuf-dev
     ,golang-github-armon-go-metrics-dev
     ,golang-github-aws-aws-sdk-go-v2-dev
     ,golang-github-aws-smithy-go-dev
+    ,golang-github-azure-azure-sdk-for-go-dev (>> 68.0.0+git20231220)
     ,golang-github-azure-go-ansiterm-dev
     ,golang-github-bits-and-blooms-bitset-dev
     ,golang-github-bsphere-le-go-dev
     ,golang-github-burntsushi-toml-dev
+    ,golang-github-cenkalti-backoff-dev
     ,golang-github-cespare-xxhash-dev
-    ,golang-github-cenkalti-backoff-dev
     ,golang-github-cilium-ebpf-dev
     ,golang-github-cloudflare-cfssl-dev (>= 1.6.4)
     ,golang-github-containerd-console-dev
-    ,golang-github-containerd-containerd-dev (>= 1.7.23~)
+    ,golang-github-containerd-containerd-dev (>= 2.1.4~)
     ,golang-github-containerd-continuity-dev (>= 0.0~git20190426~)
     ,golang-github-containerd-fifo-dev (>= 1.1.0~)
     ,golang-github-containerd-go-cni-dev
@@ -55,6 +57,7 @@
     ,golang-github-docker-go-units-dev (>= 0.4.0~)
     ,golang-github-docker-libkv-dev
     ,golang-github-docker-libtrust-dev
+    ,golang-github-felixge-fgprof-dev
     ,golang-github-felixge-httpsnoop-dev
     ,golang-github-fernet-fernet-go-dev
     ,golang-github-fluent-fluent-logger-golang-dev (>= 1.3.0~)
@@ -67,17 +70,20 @@
     ,golang-github-gogo-googleapis-dev
     ,golang-github-golang-groupcache-dev
     ,golang-github-golang-jwt-jwt-v5-dev
-    ,golang-github-googleapis-gax-go-dev
     ,golang-github-google-go-cmp-dev (>= 0.2.0~)
     ,golang-github-google-shlex-dev
     ,golang-github-google-uuid-dev
+    ,golang-github-googleapis-gax-go-dev
     ,golang-github-gorilla-mux-dev (>= 1.7.1~)
     ,golang-github-gotestyourself-gotest.tools-dev
     ,golang-github-graylog2-go-gelf-dev (>= 0.0+git20191017~)
     ,golang-github-grpc-ecosystem-go-grpc-prometheus-dev
     ,golang-github-grpc-ecosystem-grpc-opentracing-dev
+    ,golang-github-hanwen-go-fuse-dev
+    ,golang-github-hashicorp-go-cleanhttp-dev
+    ,golang-github-hashicorp-go-immutable-radix-v2-dev
     ,golang-github-hashicorp-go-memdb-dev
-    ,golang-github-hashicorp-go-immutable-radix-v2-dev
+    ,golang-github-hashicorp-go-retryablehttp-dev
     ,golang-github-hashicorp-memberlist-dev (>= 0.1.0~)
     ,golang-github-hashicorp-serf-dev
     ,golang-github-imdario-mergo-dev (>= 0.3.3~)
@@ -96,6 +102,7 @@
     ,golang-github-moby-term-dev
     ,golang-github-modern-go-reflect2-dev
     ,golang-github-morikuni-aec-dev
+    ,golang-github-munnerz-goautoneg-dev
     ,golang-github-nxadm-tail-dev
     ,golang-github-onsi-ginkgo-dev
     ,golang-github-opencontainers-cgroups-dev (>= 0.0.1~)
@@ -105,18 +112,21 @@
     ,golang-github-opencontainers-specs-dev (>= 1.0.1~)
     ,golang-github-opentracing-contrib-go-stdlib-dev
     ,golang-github-opentracing-opentracing-go-dev (>= 0.0~git20180507)
-    ,golang-opentelemetry-contrib-dev (>= 0.56)
-    ,golang-opentelemetry-otel-dev (>= 1.31)
-    ,golang-opentelemetry-proto-dev (>= 1.3.1)
+    ,golang-github-package-url-packageurl-go-dev
     ,golang-github-pelletier-go-toml-dev
     ,golang-github-philhofer-fwd-dev
     ,golang-github-prometheus-client-golang-dev (>= 0.9.0~)
     ,golang-github-racksec-srslog-dev
     ,golang-github-rcrowley-go-metrics-dev
+    ,golang-github-russross-blackfriday-v2-dev
     ,golang-github-samuel-go-zookeeper-dev
     ,golang-github-sirupsen-logrus-dev (>= 1.0.2~)
+    ,golang-github-spdx-tools-golang-dev
     ,golang-github-spf13-cobra-dev (>= 1.1.1~)
     ,golang-github-spf13-pflag-dev (>= 1.0.5-2~)
+    ,golang-opentelemetry-contrib-dev (>= 0.56)
+    ,golang-opentelemetry-otel-dev (>= 1.31)
+    ,golang-opentelemetry-proto-dev (>= 1.3.1)
     ,golang-github-stretchr-testify-dev
     ,golang-github-tchap-go-patricia-dev
 #    ,golang-github-tonistiigi-fsutil-dev (>= 0.0~git20200724~)
@@ -129,16 +139,20 @@
     ,golang-github-xeipuuv-gojsonschema-dev (>= 1.2.0~)
     ,golang-golang-x-net-dev
     ,golang-golang-x-oauth2-google-dev | golang-golang-x-oauth2-dev
+    ,golang-github-golang-protobuf-1-5-dev
+    ,golang-go.uber-atomic-dev
+    ,golang-go.uber-multierr-dev
+    ,golang-go.uber-zap-dev
     ,golang-golang-x-term-dev
     ,golang-golang-x-time-dev
     ,golang-google-api-dev
-    ,golang-github-golang-protobuf-1-5-dev
-    ,golang-google-cloud-dev
+#    ,golang-google-cloud-dev
     ,golang-google-grpc-dev (>> 1.66.3)
     ,golang-go-zfs-dev
     ,golang-protobuf-extensions-dev
     ,golang-k8s-klog-dev
     ,golang-k8s-sigs-yaml-dev
+    ,golang-kernel-pub-linux-libs-security-libcap-dev
     ,gotestsum
     ,libapparmor-dev
     ,libseccomp-dev
@@ -159,8 +173,7 @@
     ,github.com/moby/ipvs
 
 Package: docker.io
-Build-Profiles: <pkg.docker.with-bin>
-Architecture: amd64
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends} ,${shlibs:Depends}
     ,adduser
@@ -211,8 +224,7 @@
  dockerd(8).
 
 Package: docker-cli
-Build-Profiles: <pkg.docker.with-bin>
-Architecture: amd64
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends} ,${shlibs:Depends}
 Conflicts:
@@ -279,17 +291,3 @@
     ,golang-opentelemetry-otel-dev (>= 1.21)
 # libnetwork:
     ,golang-dbus-dev (>= 5.0.2~)
-    ,golang-github-deckarep-golang-set-dev
-    ,golang-github-docker-go-events-dev
-    ,golang-github-hashicorp-memberlist-dev (>= 0.1.0~)
-    ,golang-github-hashicorp-serf-dev
-    ,golang-github-ishidawataru-sctp-dev
-    ,golang-github-vishvananda-netlink-dev (>= 1.0.0~)
-    ,golang-github-vishvananda-netns-dev
-Breaks:
-    ,crowdsec (<< 1.4.6-10.1)
-    ,docker-compose (<< 2.32)
-    ,golang-github-docker-buildx-dev (<< 0.19)
-    ,golang-github-containers-buildah-dev (<< 1.41.5+ds1-2)
-    ,golang-github-openshift-imagebuilder-dev (<< 1.2.15+ds1-3)
-Conflicts:
