## docker.io 28.5.2+dfsg2

=== debian/changelog ===
docker.io (28.5.2+dfsg2-1) experimental; urgency=medium

  * Repack tarball to include planetscale-vtprotobuf
    and tonistiigi-dchapes packages, Kudos to Nicolas Peugnet!

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Mar 2026 07:11:31 -0500
