=== debian/control ===
--- 
+++ 
@@ -115,6 +115,7 @@
     ,golang-github-package-url-packageurl-go-dev
     ,golang-github-pelletier-go-toml-dev
     ,golang-github-philhofer-fwd-dev
+    ,golang-github-planetscale-vtprotobuf-dev
     ,golang-github-prometheus-client-golang-dev (>= 0.9.0~)
     ,golang-github-racksec-srslog-dev
     ,golang-github-rcrowley-go-metrics-dev
@@ -129,6 +130,7 @@
     ,golang-opentelemetry-proto-dev (>= 1.3.1)
     ,golang-github-stretchr-testify-dev
     ,golang-github-tchap-go-patricia-dev
+    ,golang-github-tonistiigi-dchapes-mode-dev
 #    ,golang-github-tonistiigi-fsutil-dev (>= 0.0~git20200724~)
     ,golang-github-tonistiigi-units-dev
     ,golang-github-tonistiigi-vt100-dev
@@ -279,15 +281,12 @@
     ,golang-github-opencontainers-image-spec-dev (>= 1.0.1~)
     ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc8~)
     ,golang-github-opencontainers-selinux-dev (>= 1.8.0~)
+    ,golang-github-planetscale-vtprotobuf-dev
     ,golang-github-sirupsen-logrus-dev (>= 1.0.2~)
     ,golang-github-spf13-cobra-dev (>= 1.1.1~)
     ,golang-github-tchap-go-patricia-dev
+    ,golang-github-tonistiigi-dchapes-mode-dev
     ,golang-github-tonistiigi-fsutil-dev
     ,golang-github-tonistiigi-units-dev
     ,golang-github-tonistiigi-vt100-dev
     ,golang-golang-x-net-dev
-    ,golang-golang-x-sys-dev (>= 0.0~git20190726~)
-    ,golang-opentelemetry-contrib-dev (>= 0.42)
-    ,golang-opentelemetry-otel-dev (>= 1.21)
-# libnetwork:
-    ,golang-dbus-dev (>= 5.0.2~)
