=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 # Cf. hack/make.sh hack/make/.binary
 ENGINE_BUILDTIME := $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" --rfc-3339 ns | sed -e 's/ /T/')
 ENGINE_BUILDTAGS := apparmor seccomp journald
-ENGINE_TESTFLAGS := -test.short
+ENGINE_TESTFLAGS := -test.short -vet=off
 ENGINE_LDFLAGS   := -w
 ENGINE_LDFLAGS   += -X $(ENGINE_PKG)/dockerversion.Version=$(DOCKER_VERSION)
 ENGINE_LDFLAGS   += -X $(ENGINE_PKG)/dockerversion.GitCommit=$(ENGINE_GITCOMMIT)
@@ -135,18 +135,10 @@
 	_build/bin/dockerd --version
 
 	## Test engine:
-ifeq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
 	cd $(GOPATH)/src/$(ENGINE_PKG) && PATH=$(GOPATH)/bin:$(PATH) TESTFLAGS='$(ENGINE_TESTFLAGS)' ./hack/test/unit
-else
-	-cd $(GOPATH)/src/$(ENGINE_PKG) && PATH=$(GOPATH)/bin:$(PATH) TESTFLAGS='$(ENGINE_TESTFLAGS)' ./hack/test/unit
-endif
 
 	mkdir -p $(CURDIR)/debian/tmphome/tmp
-ifeq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
 	cd $(GOPATH)/src/$(CLI_PKG) && HOME=$(CURDIR)/debian/tmphome TMPDIR=$(CURDIR)/debian/tmphome/tmp PATH=$(GOPATH)/bin:$(PATH) DISABLE_WARN_OUTSIDE_CONTAINER=1 $(MAKE) test-unit GO111MODULE=off
-else
-	-cd $(GOPATH)/src/$(CLI_PKG) && HOME=$(CURDIR)/debian/tmphome TMPDIR=$(CURDIR)/debian/tmphome/tmp PATH=$(GOPATH)/bin:$(PATH) DISABLE_WARN_OUTSIDE_CONTAINER=1 $(MAKE) test-unit GO111MODULE=off
-endif
 endif
 
 override_dh_install:
